### Constructor

# Gtk CustomLayout new

#### Declaration [src]

    GtkLayoutManager*
    gtk_custom_layout_new (
      GtkCustomRequestModeFunc request_mode,
      GtkCustomMeasureFunc measure,
      GtkCustomAllocateFunc allocate
    )

#### Description [src]

Creates a new legacy layout manager.

Legacy layout managers map to the old `GtkWidget` size negotiation virtual functions, and are meant to be used during the transition from layout containers to layout manager delegates.

#### Parameters

`request_mode` | `GtkCustomRequestModeFunc`
| A function to retrieve the `GtkSizeRequestMode` of the widget using the layout; the default request mode is `GTK_SIZE_REQUEST_CONSTANT_SIZE`.
`measure` | `GtkCustomMeasureFunc`
| A function to measure the widget using the layout manager.
`allocate` | `GtkCustomAllocateFunc`
| A function to allocate the children of the widget using the layout manager.

#### Return value

Returns: | `GtkLayoutManager`
| The newly created `GtkCustomLayout`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.